Bug 273941 - impossible to download flash player adobe site
Summary: impossible to download flash player adobe site
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: khtml ecma (show other bugs)
Version: 4.6.3
Platform: Debian unstable Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-23 10:01 UTC by Andrea Iacovitti
Modified: 2011-06-22 23:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrea Iacovitti 2011-05-23 10:01:56 UTC
Version:           unspecified (using KDE 4.6.2) 
OS:                Linux

When trying to download the flash player from adobe site i'm redirected to the following not existing resource:
http://get.adobe.com/flashplayer/otherversions/[object HTMLAnchorElement]/?installer=Flash_Player_10.3_for_other_Linux_(.tar.gz)

Note "/[object HTMLAnchorElement]/" in the url path

Reproducible: Always

Steps to Reproduce:
Go to http://get.adobe.com/flashplayer/otherversions/ and try to download tar.gz linux version of flash player

Actual Results:  
Redirection to not existing resource

Expected Results:  
flash player must be downloaded
Comment 1 Maksim Orlovich 2011-05-28 16:53:47 UTC
Need to do this:
interface HTMLAnchorElement : HTMLElement {
  stringifier attribute DOMString href;
Comment 2 Maksim Orlovich 2011-06-22 23:42:30 UTC
Git commit c8aaa79fd289c71ac4b1f93e8e27c834695a4140 by Maks Orlovich.
Committed on 22/06/2011 at 23:32.
Pushed by orlovich into branch 'master'.

Fix toString not matching the implicit stringifier for <a>.

Fixes problem with Flash for Linux download page. Ultimately, we probably
want DOMObject::toString gone and everything done via toString, but that'd
be cleaner in WebIDL land.

BUG: 273941

M  +3    -0    khtml/ecma/kjs_html.cpp     
M  +1    -1    khtml/ecma/kjs_html.h     

http://commits.kde.org/kdelibs/c8aaa79fd289c71ac4b1f93e8e27c834695a4140
Comment 3 Maksim Orlovich 2011-06-22 23:47:36 UTC
Git commit a3afaa84ce3e2dbcb31ed1d2798e0e0bbcc17813 by Maks Orlovich.
Committed on 22/06/2011 at 23:32.
Pushed by orlovich into branch 'KDE/4.7'.

Fix toString not matching the implicit stringifier for <a>.

Fixes problem with Flash for Linux download page. Ultimately, we probably
want DOMObject::toString gone and everything done via toString, but that'd
be cleaner in WebIDL land.

BUG: 273941

M  +3    -0    khtml/ecma/kjs_html.cpp     
M  +1    -1    khtml/ecma/kjs_html.h     

http://commits.kde.org/kdelibs/a3afaa84ce3e2dbcb31ed1d2798e0e0bbcc17813